Compare commits

..

5 Commits

Author SHA1 Message Date
viveksantayana f314566591 Merge branch 'master' into editor 2022-06-20 13:55:39 +01:00
viveksantayana 1ef34465c2 Debug install script 2022-06-20 12:53:40 +01:00
viveksantayana 8b0ea1fec3 Make config production ready 2022-06-20 12:28:31 +01:00
viveksantayana d9962f18ed Production ready v.0.2.1 2022-06-20 12:28:00 +01:00
viveksantayana d8044a7c76 Make config production ready 2022-06-20 12:27:32 +01:00
2 changed files with 8 additions and 5 deletions
+6 -1
View File
@@ -2,7 +2,12 @@
# Source https://pentacent.medium.com/nginx-and-lets-encrypt-with-docker-in-less-than-5-minutes-b4b8a60d3a71 # Source https://pentacent.medium.com/nginx-and-lets-encrypt-with-docker-in-less-than-5-minutes-b4b8a60d3a71
if ! [ -x "$(command -v docker compose)" ]; then if ! [ -x "$(command -v docker)" ]; then
echo 'Error: docker is not installed.' >&2
exit 1
fi
if ! [ -x "$(command -v compose)" ]; then
echo 'Error: docker compose is not installed.' >&2 echo 'Error: docker compose is not installed.' >&2
exit 1 exit 1
fi fi
+2 -4
View File
@@ -1,9 +1,7 @@
import os import os
from pathlib import Path from pathlib import Path
from dotenv import load_dotenv
if not os.getenv('DATA'): load_dotenv('../.env')
from dotenv import load_dotenv
load_dotenv('../.env')
class Config(object): class Config(object):
APP_HOST = '0.0.0.0' APP_HOST = '0.0.0.0'